package com.ruoyi.finance.mapper;

import com.ruoyi.finance.domain.TFeeDo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 财务数据明细Mapper接口
 *
 * @author ruoyi
 * @date 2021-01-18
 */
public interface TFeeDoMapper {
    /**
     * 查询财务数据明细
     *
     * @param fId 财务数据明细ID
     * @return 财务数据明细
     */
    public TFeeDo selectTFeeDoById(Long fId);

    /**
     * 查询财务数据明细列表
     *
     * @param tFeeDo 财务数据明细
     * @return 财务数据明细集合
     */
    public List<TFeeDo> selectTFeeDoList(TFeeDo tFeeDo);
    /**
     * 查询财务数据明细列表
     * 根据主表id
     * @param fPid 财务数据明细
     * @return 财务数据明细集合
     */
    public List<TFeeDo> selectTFeeDoByfPid(@Param("fPid") Long fPid);

    /**
     * 新增财务数据明细
     *
     * @param tFeeDo 财务数据明细
     * @return 结果
     */
    public int insertTFeeDo(TFeeDo tFeeDo);

    /**
     * 修改财务数据明细
     *
     * @param tFeeDo 财务数据明细
     * @return 结果
     */
    public int updateTFeeDo(TFeeDo tFeeDo);

    /**
     * 删除财务数据明细
     *
     * @param fId 财务数据明细ID
     * @return 结果
     */
    public int deleteTFeeDoById(Long fId);

    /**
     * 批量删除财务数据明细
     *
     * @param fIds 需要删除的数据ID
     * @return 结果
     */
    public int deleteTFeeDoByIds(Long[] fIds);

    int deleteByFPid(Long fId);

    /**
     *  根据主表id 更新主表对应状态
     *
     * @param fettle 对应状态
     * @param fPid 主表id
     * @return  结果
     */
    int tfeeDoFollowUpdate(@Param("fPid") Long fPid, @Param("fettle") Long fettle);
}
